<ion-header>
  <ion-toolbar color="dark" hideBackButton="false" id="main">
    <ion-buttons slot="start">
      <ion-back-button defaultHref="login">
        <ion-text style="color:#FFFFFF">Atrás</ion-text>
      </ion-back-button>
    </ion-buttons>
    <ion-title style="text-align: center;">Registro</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>

  <form>
    <ion-list>
      <ion-item>
        <ion-label position="stacked"> Nombres y apellidos</ion-label>
        <ion-input  type="text" [(ngModel)]="dataUser.username" name="username" placeholder="Ej. Diego Diaz"></ion-input>
      </ion-item>
      <div class="spacer" style="height:2.5vh;"></div>
      <ion-item>
        <ion-label position="stacked"> Numero celular</ion-label>
        <ion-input  type="tel" [(ngModel)]="dataUser.cellphone" name="cellphone" placeholder="Ej. 3134283760"></ion-input>
      </ion-item>
      <div class="spacer" style="height:2.5vh;"></div>
      <ion-item>
        <ion-label position="stacked"> Fecha de Nacimiento</ion-label>
        <ion-input  type="date" [(ngModel)]="dataUser.birthdaydate" name="birthdaydate" placeholder="DD/MM/YY"></ion-input>
      </ion-item>
      <div class="spacer" style="height:2.5vh;"></div>
      <ion-item>
        <ion-label position="stacked"> Departamento de Residencia</ion-label>
        <ion-input  type="ubication" [(ngModel)]="dataUser.departament" name="departament" placeholder=""></ion-input>
      </ion-item>
      <div class="spacer" style="height:2.5vh;"></div>
      <ion-item>
        <ion-label position="stacked"> Municipio de Residencia</ion-label>
        <ion-input  type="ubication" [(ngModel)]="dataUser.municipality" name="municipality" placeholder=""></ion-input>
      </ion-item>
      <div class="spacer" style="height:2.5vh;"></div>
      <ion-item>
        <ion-label position="stacked"> Correo Electronico</ion-label>
        <ion-input type="email" [(ngModel)]="dataUser.email" name="email" placeholder="Ej. diego.f.diaz.1037@gmail.com"></ion-input>
      </ion-item>
      <div class="spacer" style="height:2.5vh;"></div>
      <ion-item>
        <ion-label position="stacked"> Contraseña</ion-label>
        <ion-input type="password" [(ngModel)]="dataUser.password" name="password" placeholder=""></ion-input>
      </ion-item>
      <div class="spacer" style="height:2.5vh;"></div>
      <ion-item>
        <ion-label position="stacked"> Confirmar Contraseña</ion-label>
        <ion-input type="password" [(ngModel)]="dataUser.password2" name="password2" placeholder=""></ion-input>
      </ion-item>
  
    </ion-list>
  </form>

  <ion-button color="success" shape="round" expand="block" on-click="UserRegister()"> 
    <div style="color:#FFFFFF;font-size:1.0em;font-weight:normal;">Registrar</div>
  </ion-button>

</ion-content>
